package jalview.datamodel;

/**
 * An interface that describes one matched region of an alignment, as one
 * contiguous portion of a single dataset sequence
 */
public interface SearchResultMatchI
{
  /**
   * Returns the matched sequence
   * 
   * @return
   */
  SequenceI getSequence();

  /**
   * Returns the start position of the match in the sequence (base 1)
   * 
   * @return
   */
  int getStart();

  /**
   * Returns the end position of the match in the sequence (base 1)
   * 
   * @return
   */
  int getEnd();

}